{% extends 'base_permanencier.html' %}
{% load crispy_forms_tags %}
{% block title %} {{ order }}{% endblock %}
{% block content %}
    <a class="btn btn-outline-primary" href="{% url 'client-search' %}">
        <em class="close float-left" style="">&lt;</em> &nbsp; Nouvelle commande
    </a>
    <p>Crée le {{ order.created_at }} pour {{ order.client }}, évènement {{ order.event }}</p>
    <p>Prix : <strong>{{ order.amount }} €</strong>
        {% if order.transaction_guichet %}, <strong>payée </strong> avec {{ order.transaction_guichet }}
        {% else %}
            {% if order.amount > 0 %}
                <a class="btn btn-primary" href="{% url 'transaction-create' order_id=order.id %}">Payer la commande</a>
            {% endif %}
            <a class="btn btn-warning" href="{% url 'billet-create' order_id=order.id %}">Rajouter un billet</a>
        {% endif %}
    </p>
    <p class="lead">Status : {{ order.status_verbose }}</p>
    <hr>
    <div class="card">
        <div class="card-header">
            <h4>Billets</h4>
        </div>
        <ul class="list-group">
            {% for billet in order.billets.all %}
                <li class="list-group-item">
                    <div>
                        <a href="{% url 'billet-edit' pk=billet.pk order_id=billet.order.id %}">{{ billet }}</a>
                        : {{ billet.product }}
                        {% if billet.canceled %}<em class="ml-5">Annulé</em>{% endif %}
                        {% if billet.refunded %}
                            <em class="ml-5">Remboursé</em>
                        {% else %}
                            {% if order.transaction_guichet %}
                                <a href="{% url 'billet-select' pk=billet.pk %}" class="btn btn-warning float-right">Marquer
                                    pour le
                                    remboursement</a>
                            {% endif %}
                        {% endif %}
                        {% if not order.transaction_guichet %}
                            <a class="btn btn-danger float-right"
                               href="{% url 'billet-delete' billet_id=billet.id order_id=billet.order.id %}">Supprimer</a>
                        {% endif %}
                        <ul>
                            {% for part in billet.participants.all %}
                                <li>{{ part }}</li>
                            {% endfor %}
                        </ul>
                        {% for option in billet.options.all %}
                            {{ option }}
                        {% endfor %}
                    </div>
                    <div>
                    </div>
                </li>
            {% endfor %}
        </ul>
    </div>
{% endblock %}